Skip to main content

Add user groups to an organization

Adds user groups to an organization, associating the specified groups with the organization for access management and permissions. Use this to manage group affiliations within the organization effectively.

HTTP method and endpoint

POST /organizations/{organization_id}/usergroups

Usage notes

Adds user groups to the specified organization.

Parameters

Name Type In Required Description

organization_id

string

path

True

ID of the organization.

  • example: 666a3f38-d4fa-5b62-a391-a69029758d32

Request Body

Indicates the user groups to be added.

Name Type Required Description

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.usergroupbulk"

usergroups

array[usergroups]

True

version

string

True

Version of the resource. Defined values are:

  • "1.0"

Example request
{
  "type": "application/vnd.netapp.bxp.usergroupbulk",
  "usergroups": [
    {
      "id": "a94ac68f-ea20-47aa-add8-8d41be0d8466"
    },
    {
      "name": "StorageAdmin"
    }
  ],
  "version": "1.0"
}

Response

Status: 202, Indicates the usergroups request was accepted.

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Error

Status: 409, Conflict
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409",
  "title": "JSON resource conflict",
  "type": "https://bluexp.netapp.io/problems/10"
}

Definitions

See Definitions

usergroups

Name Type Required Description

id

string

False

Globally unique identifier of the resource. Defined values are:

  • Conforms to the UUIDv4 Schema

name

string

False

JSON string containing a name for the user group. Defined values are:

  • Minimum length: 1

  • Maximum length: 300

  • This string is internally validated to prevent XSS, Unicode, directory traversal, and SQL-injection attacks.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.